package com.reactnativesample;

import android.app.Activity;
import android.content.Context;
import android.graphics.Color;
import android.util.Log;
import android.view.LayoutInflater;
import android.view.View;
import android.widget.FrameLayout;
import android.widget.LinearLayout;
import android.widget.RelativeLayout;
import android.widget.TextView;

import androidx.annotation.NonNull;
import androidx.constraintlayout.widget.ConstraintLayout;

import com.adop.sdk.Common;
import com.adop.sdk.BMAdError;
import com.adop.sdk.adview.AdViewListener;
import com.facebook.react.bridge.ReactContext;
import com.facebook.react.modules.core.DeviceEventManagerModule;
import com.facebook.react.uimanager.events.RCTEventEmitter;
import com.google.android.gms.ads.RequestConfiguration;

import java.util.Arrays;

import ad.helper.openbidding.adview.BidmadBannerAd;

public class BidmadBannerView {
    Activity mActivity;
    BidmadBannerAd mBanner;
    View mBannerView;
    public BidmadBannerView(@NonNull Activity activity, String zoneId) {
        mActivity = activity;
        mBanner = new BidmadBannerAd(mActivity, zoneId);
    }

    public void load(){
        mBanner.onceload();
    }

    public void setListener(BidmadBannerListener bannerListener){
        mBanner.setAdViewListener(new AdViewListener() {
            @Override
            public void onLoadAd() {
                if(bannerListener != null){
                    bannerListener.onLoadAd();
                }
            }

            @Override
            public void onLoadFailAd(BMAdError bmAdError) {
                if(bannerListener != null){
                    bannerListener.onFailedAd();
                }
            }

            @Override
            public void onClickAd() {
                if(bannerListener != null){
                    // bannerListener.onFailedAd();
                }
            }
        });
    }

    public void onResume(){
        if(mBanner != null)
            mBanner.onResume();
    }

    public void onPause(){
        if(mBanner != null)
            mBanner.onPause();
    }

    public View getView(){
        return mBanner.getView();
    }
}
