package com.reactnativesample;

import android.app.Activity;
import android.content.Context;
import android.graphics.Color;
import android.util.Log;
import android.view.LayoutInflater;
import android.view.View;
import android.widget.FrameLayout;
import android.widget.LinearLayout;
import android.widget.RelativeLayout;
import android.widget.TextView;

import androidx.annotation.NonNull;
import androidx.constraintlayout.widget.ConstraintLayout;

import com.adop.sdk.Common;
import com.adop.sdk.BMAdError;
import com.adop.sdk.interstitial.InterstitialListener;
import com.facebook.react.bridge.ReactContext;
import com.facebook.react.modules.core.DeviceEventManagerModule;
import com.facebook.react.uimanager.events.RCTEventEmitter;
import com.google.android.gms.ads.RequestConfiguration;

import java.util.Arrays;

import ad.helper.openbidding.interstitial.BidmadInterstitialAd;

public class BidmadInterstitialAds{
    Activity mActivity;
    BidmadInterstitialAd mIntersitial;
    View mBannerView;

    public BidmadInterstitialAds(@NonNull Activity activity, String zoneId) {
        mActivity = activity;
        if(mActivity != null) {
            mIntersitial = new BidmadInterstitialAd(mActivity, zoneId);
        }
    }

    public void load(){
        mIntersitial.load();
    }

    public void show(){
        mIntersitial.load();
    }

    public void setListener(InterstitialListener interstitialListener){
        mIntersitial.setInterstitialListener(new InterstitialListener() {
            @Override
            public void onLoadAd() {
                if(interstitialListener != null){
                    interstitialListener.onLoadAd();
                }
            }

            @Override
            public void onShowAd() {
                if(interstitialListener != null){
                    // bannerListener.onFailedAd();
                }
            }

            @Override
            public void onLoadFailAd(BMAdError bmAdError) {
                if(interstitialListener != null){
                    interstitialListener.onLoadFailAd(bmAdError);
                }
            }

            @Override
            public void onCloseAd() {
                if(interstitialListener != null){
                    // interstitialListener.onFailedAd();
                }
            }
        });
    }
}
