package com.reactnativesample;

import android.app.Activity;
import android.content.Context;
import android.graphics.Color;
import android.util.Log;
import android.view.LayoutInflater;
import android.view.View;
import android.widget.FrameLayout;
import android.widget.LinearLayout;
import android.widget.RelativeLayout;
import android.widget.TextView;
import android.widget.Toast;

import androidx.annotation.NonNull;
import androidx.constraintlayout.widget.ConstraintLayout;

import com.adop.sdk.Common;
import com.adop.sdk.BMAdError;
import com.adop.sdk.interstitial.InterstitialListener;
import com.facebook.react.bridge.ReactApplicationContext;
import com.facebook.react.bridge.ReactContext;
import com.facebook.react.bridge.ReactContextBaseJavaModule;
import com.facebook.react.bridge.ReactMethod;
import com.facebook.react.modules.core.DeviceEventManagerModule;
import com.facebook.react.uimanager.events.RCTEventEmitter;
import com.google.android.gms.ads.RequestConfiguration;

import java.util.Arrays;

import ad.helper.openbidding.interstitial.BidmadInterstitialAd;

public class BidmadInterstitialReact extends ReactContextBaseJavaModule {
    Activity mActivity;
    BidmadInterstitialAd mIntersitial;
    View mBannerView;

    public BidmadInterstitialReact(ReactApplicationContext context) {
        super(context);
        mActivity = context.getCurrentActivity();
//        if(mActivity != null) {
//            mIntersitial = new BidmadInterstitialAd(mActivity, zoneId);
//        }
    }

    @Override
    public String getName(){
        return "BidmadInterstitialReact";
    }

    @ReactMethod
    public void initAd(String zoneId){
        Log.d("sok", "zoneId = " + zoneId);
        if(mActivity != null) {
            mIntersitial = new BidmadInterstitialAd(mActivity, zoneId);
        }
    }

    @ReactMethod
    public void load(String zoneId){
        Log.d("bidmad", "zoneId1 = " + zoneId);
        ReactApplicationContext context = getReactApplicationContext();
        mActivity = context.getCurrentActivity();
        if(mActivity != null) {
            mIntersitial = new BidmadInterstitialAd(mActivity, zoneId);
            mIntersitial.setInterstitialListener(new InterstitialListener() {
            @Override
            public void onLoadAd() {
                mIntersitial.show();
            }

            @Override
            public void onShowAd() {

            }

            @Override
            public void onLoadFailAd(BMAdError bmAdError) {

            }

            @Override
            public void onCloseAd() {

            }
        });
            mIntersitial.load();
        }
        
        Log.d("bidmad", "zoneId = " + zoneId);
    }

    @ReactMethod
    public void show(){
        mIntersitial.show();
    }

    @ReactMethod
    public void toastShow(String message) {
        // 생성자로 설정한, context 가져오기
        ReactApplicationContext context = getReactApplicationContext();
        //
        Toast toast = Toast.makeText(context, message, Toast.LENGTH_SHORT);
        toast.show();
    }

    @ReactMethod
    public void toast2Show() {
        // 생성자로 설정한, context 가져오기
        ReactApplicationContext context = getReactApplicationContext();
        //
        Toast toast = Toast.makeText(context, "TEST", Toast.LENGTH_SHORT);
        toast.show();
    }

    @ReactMethod
    public void setListener(BidmadInterstitialListener interstitialListener){
        mIntersitial.setInterstitialListener(new InterstitialListener() {
            @Override
            public void onLoadAd() {
                if(interstitialListener != null){
                    interstitialListener.onLoadAd();
                }
            }

            @Override
            public void onShowAd() {
                if(interstitialListener != null){
                    // bannerListener.onFailedAd();
                }
            }

            @Override
            public void onLoadFailAd(BMAdError bmAdError) {
                if(interstitialListener != null){
                    interstitialListener.onFailedAd();
                }
            }

            @Override
            public void onCloseAd() {
                if(interstitialListener != null){
                    // interstitialListener.onFailedAd();
                }
            }
        });
    }
}
